## mininet 2.0.0~d4

=== debian/changelog ===
mininet (2.0.0~d4-0ubuntu1) quantal; urgency=low

  * Initial release.

 -- Bob Lantz <rlantz@cs.stanford.edu>  Tue, 07 Aug 2012 14:11:27 -0700

=== debian/watch ===
version=3
opts=filenamemangle=s/.*tarball\/(.*)/$1\.tar\.gz/,uversionmangle=s/(d.*)/~$1/ \
https://github.com/mininet/mininet/tags .*/tarball/(\d[\d\.abd]+)

## mininet 2.0.0

=== debian/changelog ===
mininet (2.0.0-0ubuntu1~ubuntu12.10.1) quantal-backports; urgency=low

  * No-change backport to quantal

 -- Iain Lane <iain@orangesquash.org.uk>  Sun, 17 Feb 2013 21:55:39 +0000

mininet (2.0.0-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 19 Dec 2012 15:48:01 +0000

## mininet 2.1.0~rc1

=== debian/changelog ===
mininet (2.1.0~rc1-0ubuntu1) saucy; urgency=low

  * New upstream release candidate:
    - d/control: Drop dependency on python-networkx, add iperf, socat
      and cgroup-bin to Depends.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Aug 2013 10:10:20 +0100

## mininet 2.1.0~rc3

=== debian/changelog ===
mininet (2.1.0~rc3-0ubuntu1) saucy; urgency=low

  * New upstream release candidate.

 -- James Page <james.page@ubuntu.com>  Thu, 19 Sep 2013 15:28:47 +0100

## mininet 2.2.1

=== Makefile ===
MININET = mininet/*.py
TEST = mininet/test/*.py
EXAMPLES = mininet/examples/*.py
MN = bin/mn
BIN = $(MN)
PYSRC = $(MININET) $(TEST) $(EXAMPLES) $(BIN)
MNEXEC = mnexec
MANPAGES = mn.1 mnexec.1
P8IGN = E251,E201,E302,E202,E126,E127,E203,E226
BINDIR = /usr/bin
MANDIR = /usr/share/man/man1
DOCDIRS = doc/html doc/latex
PDF = doc/latex/refman.pdf

CFLAGS += -Wall -Wextra

all: codecheck test

clean:
	rm -rf build dist *.egg-info *.pyc $(MNEXEC) $(MANPAGES) $(DOCDIRS)

codecheck: $(PYSRC)
	-echo "Running code check"
	util/versioncheck.py
	pyflakes $(PYSRC)
	pylint --rcfile=.pylint $(PYSRC)
#	Exclude miniedit from pep8 checking for now
	pep8 --repeat --ignore=$(P8IGN) `ls $(PYSRC) | grep -v miniedit.py`

errcheck: $(PYSRC)
	-echo "Running check for errors only"
	pyflakes $(PYSRC)
	pylint -E --rcfile=.pylint $(PYSRC)

test: $(MININET) $(TEST)
	-echo "Running tests"
	mininet/test/test_nets.py
	mininet/test/test_hifi.py

slowtest: $(MININET)
	-echo "Running slower tests (walkthrough, examples)"
	mininet/test/test_walkthrough.py -v
	mininet/examples/test/runner.py -v

mnexec: mnexec.c $(MN) mininet/net.py
	cc $(CFLAGS) $(LDFLAGS) -DVERSION=\"`PYTHONPATH=. $(MN) --version`\" $< -o $@

install: $(MNEXEC) $(MANPAGES)
	install $(MNEXEC) $(BINDIR)
	install $(MANPAGES) $(MANDIR)
	python setup.py install

develop: $(MNEXEC) $(MANPAGES)
# 	Perhaps we should link these as well
	install $(MNEXEC) $(BINDIR)
	install $(MANPAGES) $(MANDIR)
	python setup.py develop

man: $(MANPAGES)

mn.1: $(MN)
	PYTHONPATH=. help2man -N -n "create a Mininet network." \
	--no-discard-stderr $< -o $@

mnexec.1: mnexec
	help2man -N -n "execution utility for Mininet." \
	-h "-h" -v "-v" --no-discard-stderr ./$< -o $@

.PHONY: doc

doc: man
	doxygen doc/doxygen.cfg
	make -C doc/latex

=== util/sch_htb-ofbuf/Makefile ===
obj-m = sch_htb.o
KVERSION = $(shell uname -r)
all:
	        make -C /lib/modules/$(KVERSION)/build M=$(PWD) modules
install:
		test -e /lib/modules/$(KVERSION)/kernel/net/sched/sch_htb.ko.bak || mv /lib/modules/$(KVERSION)/kernel/net/sched/sch_htb.ko /lib/modules/$(KVERSION)/kernel/net/sched/sch_htb.ko.bak
		cp sch_htb.ko /lib/modules/$(KVERSION)/kernel/net/sched/sch_htb.ko
		rmmod sch_htb
		modprobe sch_htb
clean:
	        make -C /lib/modules/$(KVERSION)/build M=$(PWD) clean

## mininet 2.1.0

=== debian/changelog ===
mininet (2.1.0-0ubuntu3) utopic; urgency=medium

  * d/control: Use openvswitch-testcontroller instead of openvswitch-test. 

 -- James Page <james.page@ubuntu.com>  Tue, 03 Jun 2014 09:09:31 +0100

mininet (2.1.0-0ubuntu2) utopic; urgency=medium

  * Use test-controller from openvswitch-test package as
    openvswitch-controller has been removed from Utopic:
    - d/control: openvswitch-controller -> openvswitch-test
    - d/p/test-controller.patch: Switch default command name for
      OVSController class to test-controller.
  * d/control: Bumped Standards-Version, no changes.

 -- James Page <james.page@ubuntu.com>  Mon, 19 May 2014 14:05:58 +0100

mininet (2.1.0-0ubuntu1) saucy; urgency=low

  * New upstream final release.
  * d/watch: Fix issue with detection of release versions.

 -- James Page <james.page@ubuntu.com>  Thu, 19 Sep 2013 22:16:37 +0100

=== debian/control ===
Source: mininet
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bob Lantz <rlantz@cs.stanford.edu>
Standards-Version: 3.9.5
Build-Depends:
 debhelper (>= 9~),
 help2man,
 python-dev,
 python-pkg-resources,
 python-setuptools
Homepage: http://openflow.org/mininet

Package: mininet
Architecture: any
Depends:
 openvswitch-switch,
 telnet,
 socat,
 iperf,
 cgroup-bin,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends: openvswitch-testcontroller
Description: Process-based network emulator
 Mininet is a network emulator which uses lightweight
 virtualization to create virtual networks for rapid
 prototyping of Software-Defined Network (SDN) designs
 using OpenFlow.

## mininet 2.2.0~b1

=== debian/changelog ===
mininet (2.2.0~b1-0ubuntu1) vivid; urgency=medium

  * New upstream beta release:
    - d/p/test-controller.patch: Dropped, no longer required.
  * d/watch: Mangle upstream versions to deal with beta releases.
  * d/control: Bumped Standards-Version to 3.9.6, no changes.
  * d/copyright: Add short description for Mininet license.
  * d/*: Wrap-and-sort.

 -- James Page <james.page@ubuntu.com>  Mon, 24 Nov 2014 14:29:26 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Bob Lantz <rlantz@cs.stanford.edu>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends:
  debhelper (>= 9~),
  help2man,
@@ -15,11 +15,11 @@
 Package: mininet
 Architecture: any
 Depends:
+ cgroup-bin,
+ iperf,
  openvswitch-switch,
+ socat,
  telnet,
- socat,
- iperf,
- cgroup-bin,
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends}

=== debian/watch ===
version=3
opts=uversionmangle=s/([a-zA-Z])/~$1/ \
https://github.com/mininet/mininet/tags .*/archive/(\d.*).tar.gz

## mininet 2.2.1

=== debian/changelog ===
mininet (2.2.1-4) unstable; urgency=medium

  * d/control: enable CI tests for real

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 01 Jan 2017 20:51:07 +0100

mininet (2.2.1-3) unstable; urgency=medium

  * d/control: bumped std-ver to 3.9.8 (no changes needed)
  * d/control: use debhelper 10
  * d/watch: use watch version 4
  * d/tests: added CI tests
  * d/control: add missing dependency (net-tools)

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 01 Jan 2017 15:19:09 +0100

mininet (2.2.1-2) unstable; urgency=medium

  * Make container mounts private (Closes: #799654)
  * Switch the build process to pybuild

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 06 Nov 2015 11:39:22 +0100

mininet (2.2.1-1) unstable; urgency=medium

  * d/control: Fix VCS link
  * d/control: Limit to Linux architectures
  * Imported Upstream version 2.2.1

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 18 Jun 2015 09:42:11 +0200

mininet (2.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #775192)

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 12 Jan 2015 11:45:31 +0100

=== debian/control ===
Source: mininet
Section: net
Priority: optional
Maintainer: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
Uploaders: Tomasz Buchert <tomasz@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               help2man,
               python,
               python-pkg-resources,
               python-setuptools
Standards-Version: 3.9.8
Testsuite: autopkgtest
Homepage: http://mininet.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/mininet.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mininet.git

Package: mininet
Architecture: linux-any
Depends: cgroup-bin,
         iperf,
         net-tools,
         openvswitch-switch,
         socat,
         telnet,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: process-based network emulator
 Mininet is a network emulator which uses lightweight virtualization
 to create virtual networks for rapid prototyping of Software-Defined
 Network (SDN) designs using OpenFlow.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE = 1

CFLAGS+=$(shell dpkg-buildflags --get CPPFLAGS)
export PYBUILD_NAME=mininet

%:
	dh $@ --buildsystem=pybuild --with=python2

override_dh_auto_build:
	make man
	make mnexec
	# hopefully temporary, since make man/mnexec
	# generate *.pyc files
	rm -f examples/*.pyc
	dh_auto_build

override_dh_clean:
	make clean
	dh_clean

## mininet 2.2.2

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 TEST = mininet/test/*.py
 EXAMPLES = mininet/examples/*.py
 MN = bin/mn
+PYMN = python -B bin/mn
 BIN = $(MN)
 PYSRC = $(MININET) $(TEST) $(EXAMPLES) $(BIN)
 MNEXEC = mnexec
@@ -43,7 +44,7 @@
 	mininet/examples/test/runner.py -v
 
 mnexec: mnexec.c $(MN) mininet/net.py
-	cc $(CFLAGS) $(LDFLAGS) -DVERSION=\"`PYTHONPATH=. $(MN) --version`\" $< -o $@
+	cc $(CFLAGS) $(LDFLAGS) -DVERSION=\"`PYTHONPATH=. $(PYMN) --version`\" $< -o $@
 
 install: $(MNEXEC) $(MANPAGES)
 	install $(MNEXEC) $(BINDIR)
@@ -60,7 +61,7 @@
 
 mn.1: $(MN)
 	PYTHONPATH=. help2man -N -n "create a Mininet network." \
-	--no-discard-stderr $< -o $@
+	--no-discard-stderr "$(PYMN)" -o $@
 
 mnexec.1: mnexec
 	help2man -N -n "execution utility for Mininet." \

=== debian/changelog ===
mininet (2.2.2-5ubuntu1) focal; urgency=medium

  * Build-depend on python-all instead of python.
  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jan 2020 13:57:40 +0100

mininet (2.2.2-5build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:37:21 +0000

mininet (2.2.2-5) unstable; urgency=medium

  [ Santiago Ruano Rincón ]
  * debian/control: replace Depends: cgroup-bin with cgroup-tools
    (Closes: #926279)

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 15 Apr 2019 00:28:46 +0200

mininet (2.2.2-4) unstable; urgency=medium

  * refresh packaging (debhelper 12, std-ver 4.3.0)

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 10 Jan 2019 01:06:57 +0100

mininet (2.2.2-3) unstable; urgency=medium

  * d/control: update vcs links to salsa
  * d/tests: depend on openvswitch-switch (Closes: #889700)
  * d/*: update compat to 11
  * Fix insecure-copyright-format-uri

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 07 Feb 2018 18:54:03 +0100

mininet (2.2.2-2) unstable; urgency=medium

  [ Santiago R.R.]
  * Fixed detection of ovs-testcontroller path (Closes: #881328)

  [ Tomasz Buchert ]
  * Make openvswitch-switch a recommended dependency (Closes: #882205)

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 03 Dec 2017 14:29:47 +0100

mininet (2.2.2-1) unstable; urgency=medium

  * New upstream version 2.2.2

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 25 Mar 2017 12:21:31 +0100

=== debian/control ===
Source: mininet
Maintainer: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
Uploaders: Tomasz Buchert <tomasz@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper (>= 12),
               debhelper-compat (= 12),
               dh-python,
               help2man,
               python-all,
               python-pkg-resources,
               python-setuptools
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/mininet
Vcs-Git: https://salsa.debian.org/debian/mininet.git
Homepage: http://mininet.org/

Package: mininet
Architecture: linux-any
Depends: cgroup-tools,
         iperf,
         net-tools,
         socat,
         telnet,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: openvswitch-switch
Description: process-based network emulator
 Mininet is a network emulator which uses lightweight virtualization
 to create virtual networks for rapid prototyping of Software-Defined
 Network (SDN) designs using OpenFlow.

=== debian/tests/control ===
Tests: simple
Depends: @, sudo, net-tools, openvswitch-switch
Restrictions: isolation-machine, needs-root

## mininet 2.3.0

=== Makefile ===
--- 
+++ 
@@ -2,16 +2,19 @@
 TEST = mininet/test/*.py
 EXAMPLES = mininet/examples/*.py
 MN = bin/mn
-PYMN = python -B bin/mn
+PYTHON ?= python
+PYMN = $(PYTHON) -B bin/mn
 BIN = $(MN)
 PYSRC = $(MININET) $(TEST) $(EXAMPLES) $(BIN)
 MNEXEC = mnexec
 MANPAGES = mn.1 mnexec.1
-P8IGN = E251,E201,E302,E202,E126,E127,E203,E226
-BINDIR = /usr/bin
-MANDIR = /usr/share/man/man1
+P8IGN = E251,E201,E302,E202,E126,E127,E203,E226,E402,W504,W503,E731
+PREFIX ?= /usr
+BINDIR ?= $(PREFIX)/bin
+MANDIR ?= $(PREFIX)/share/man/man1
 DOCDIRS = doc/html doc/latex
 PDF = doc/latex/refman.pdf
+CC ?= cc
 
 CFLAGS += -Wall -Wextra
 
@@ -44,18 +47,25 @@
 	mininet/examples/test/runner.py -v
 
 mnexec: mnexec.c $(MN) mininet/net.py
-	cc $(CFLAGS) $(LDFLAGS) -DVERSION=\"`PYTHONPATH=. $(PYMN) --version`\" $< -o $@
+	$(CC) $(CFLAGS) $(LDFLAGS) -DVERSION=\"`PYTHONPATH=. $(PYMN) --version`\" $< -o $@
 
-install: $(MNEXEC) $(MANPAGES)
-	install $(MNEXEC) $(BINDIR)
-	install $(MANPAGES) $(MANDIR)
-	python setup.py install
+install-mnexec: $(MNEXEC)
+	install -D $(MNEXEC) $(BINDIR)/$(MNEXEC)
+
+install-manpages: $(MANPAGES)
+	install -D -t $(MANDIR) $(MANPAGES)
+
+install: install-mnexec install-manpages
+#	This seems to work on all pip versions
+	$(PYTHON) -m pip uninstall -y mininet || true
+	$(PYTHON) -m pip install .
 
 develop: $(MNEXEC) $(MANPAGES)
 # 	Perhaps we should link these as well
 	install $(MNEXEC) $(BINDIR)
 	install $(MANPAGES) $(MANDIR)
-	python setup.py develop
+	$(PYTHON) -m pip uninstall -y mininet || true
+	$(PYTHON) -m pip install -e . --no-binary :all:
 
 man: $(MANPAGES)

=== debian/changelog ===
mininet (2.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.

  [ Andreas Tille ]
  * Standards-Version: 4.6.2
  * Dependency on telnet-client
    Closes: #1016844
  * Replace distutils.StrictVerion which is deprecated by packaging.Version
    Closes: #1061812

 -- Andreas Tille <tille@debian.org>  Thu, 15 Feb 2024 21:18:25 +0100

mininet (2.3.0-1) unstable; urgency=medium

  [ Santiago Ruano Rincón ]
  * New upstream version 2.3.0~d6
    - Support python3 (Closes: #937051)
  * d/rules: --with=python3
  * d/control: update build-deps to python3
  * Remove no longer needed:
    upstream_0001-Use-correct-command-name-in-OVSController.patch
  * Add d/patches/makefile-python3.patch to fix python version
  * d/control: Add dependency on python3 for binary package and update
    ${python3:Depends}

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Tomasz Buchert ]
  * New upstream version 2.3.0
  * Update standards version to 4.5.1, no changes needed.

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 13 Feb 2021 19:01:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,26 +4,29 @@
 Section: net
 Priority: optional
 Build-Depends: debhelper (>= 12),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                help2man,
-               python-all,
-               python-pkg-resources,
-               python-setuptools
-Standards-Version: 4.3.0
+               python3,
+               python3-pkg-resources,
+               python3-setuptools,
+               python3-packaging
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/mininet
 Vcs-Git: https://salsa.debian.org/debian/mininet.git
-Homepage: http://mininet.org/
+Homepage: https://mininet.org/
 
 Package: mininet
 Architecture: linux-any
 Depends: cgroup-tools,
          iperf,
          net-tools,
+         python3,
+         python3-packaging,
          socat,
-         telnet,
+         telnet | telnet-client,
          ${misc:Depends},
-         ${python:Depends},
+         ${python3:Depends},
          ${shlibs:Depends}
 Recommends: openvswitch-switch
 Description: process-based network emulator

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_NAME=mininet
 
 %:
-	dh $@ --buildsystem=pybuild --with=python2
+	dh $@ --buildsystem=pybuild --with=python3
 
 override_dh_auto_build:
 	make man

=== debian/tests/control ===
Tests: simple
Depends: net-tools, openvswitch-switch, sudo, @
Restrictions: isolation-machine, needs-root
